Loading...
Searching...
No Matches
volk_16i_x5_add_quad_16i_x4.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <emmintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_16i_x5_add_quad_16i_x4_a_sse2 (short *target0, short *target1, short *target2, short *target3, short *src0, short *src1, short *src2, short *src3, short *src4, unsigned int num_points)
static void | volk_16i_x5_add_quad_16i_x4_neon (short *target0, short *target1, short *target2, short *target3, short *src0, short *src1, short *src2, short *src3, short *src4, unsigned int num_points)
static void | volk_16i_x5_add_quad_16i_x4_generic (short *target0, short *target1, short *target2, short *target3, short *src0, short *src1, short *src2, short *src3, short *src4, unsigned int num_points)

## Function Documentation

## volk_16i_x5_add_quad_16i_x4_a_sse2()

void volk_16i_x5_add_quad_16i_x4_a_sse2 | ( | short * | target0,
|  | short * | target1,
|  | short * | target2,
|  | short * | target3,
|  | short * | src0,
|  | short * | src1,
|  | short * | src2,
|  | short * | src3,
|  | short * | src4,
|  | unsigned int | num_points )

inline static

## volk_16i_x5_add_quad_16i_x4_generic()

void volk_16i_x5_add_quad_16i_x4_generic | ( | short * | target0,
|  | short * | target1,
|  | short * | target2,
|  | short * | target3,
|  | short * | src0,
|  | short * | src1,
|  | short * | src2,
|  | short * | src3,
|  | short * | src4,
|  | unsigned int | num_points )

inline static

## volk_16i_x5_add_quad_16i_x4_neon()

void volk_16i_x5_add_quad_16i_x4_neon | ( | short * | target0,
|  | short * | target1,
|  | short * | target2,
|  | short * | target3,
|  | short * | src0,
|  | short * | src1,
|  | short * | src2,
|  | short * | src3,
|  | short * | src4,
|  | unsigned int | num_points )

inline static